package com.ippon.pouet.common.infrastructure.primary;

import com.ippon.pouet.common.domain.error.PouetMessage;

enum AuthenticationMessage implements PouetMessage {
  NOT_AUTHENTICATED("user.authentication-not-authenticated");

  private final String messageKey;

  AuthenticationMessage(String messageKey) {
    this.messageKey = messageKey;
  }

  @Override
  public String getMessageKey() {
    return messageKey;
  }
}
